//+------------------------------------------------------------------+
//|                                              #DC-Pivot Build.mq4 |
//|                               Copyright  2009, Mulyadi Santoso  |
//|                                                musanto@yahoo.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, custom made for private only "
#property link      "musanto@yahoo.com"
//#property show_inputs
//#include <stdlib.mqh>
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
double   Cl_price,Hi_price,Lo_price;
int   wrn;
 
void init() {
   if (ObjectFind("DCL1")<0) ObjectCreate("DCL1", OBJ_VLINE, 0, Time[20], 0);
   ObjectSet("DCL1",OBJPROP_COLOR,Blue);  
   if (ObjectFind("DCL2")<0) ObjectCreate("DCL2", OBJ_VLINE, 0, Time[10], 0);
   ObjectSet("DCL2",OBJPROP_COLOR,Blue);  
   if (ObjectFind("DCPivot")<0) ObjectCreate("DCPivot", OBJ_TREND, 0, Time[10], 0);
   ObjectSet("DCPivot",OBJPROP_COLOR,Black);  
   ObjectSet("DCPivot",OBJPROP_WIDTH,2);  
   ObjectSet("DCPivot",OBJPROP_RAY,true);  

   if (ObjectFind("DCRes1")<0) ObjectCreate("DCRes1", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCRes1",OBJPROP_COLOR,Red);  
   ObjectSet("DCRes1",OBJPROP_RAY,true);
   if (ObjectFind("DCRes2")<0) ObjectCreate("DCRes2", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCRes2",OBJPROP_COLOR,Red);
   ObjectSet("DCRes2",OBJPROP_RAY,true);  
   if (ObjectFind("DCRes3")<0) ObjectCreate("DCRes3", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCRes3",OBJPROP_COLOR,Red);  
   ObjectSet("DCRes3",OBJPROP_RAY,true);
   if (ObjectFind("DCSup1")<0) ObjectCreate("DCSup1", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCSup1",OBJPROP_COLOR,Blue);  
   ObjectSet("DCSup1",OBJPROP_RAY,true);  
   if (ObjectFind("DCSup2")<0) ObjectCreate("DCSup2", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCSup2",OBJPROP_COLOR,Blue);
   ObjectSet("DCSup2",OBJPROP_RAY,true);    
   if (ObjectFind("DCSup3")<0) ObjectCreate("DCSup3", OBJ_TREND, 0, 0, 0);
   ObjectSet("DCSup3",OBJPROP_COLOR,Blue);  
   ObjectSet("DCSup3",OBJPROP_RAY,true);  
   
}
datetime           LastPos;

int start() {

   datetime StartPos    = ObjectGet("DCL1",OBJPROP_TIME1);
   double LastHigh,LastLow,LastClose,P,R1,R2,R3,S1,S2,S3;
   int i1,i2;
   LastPos     = ObjectGet("DCL2",OBJPROP_TIME1);
   i1 = iBarShift(NULL,0,StartPos,false);
   i2 = iBarShift(NULL,0,LastPos,false);
   LastHigh  = iHigh(NULL,0,iHighest(NULL,0,MODE_HIGH,i1-i2+1,i2));
   LastLow   = iLow(NULL,0,iLowest(NULL,0,MODE_LOW,i1-i2+1,i2));
   LastClose = iClose(NULL,0,i2);
   
   
   
   P=(LastHigh+LastLow+LastClose)/3;
   R1 = (2*P)-LastLow;
   S1 = (2*P)-LastHigh;
   R2 = P+(LastHigh - LastLow);
   S2 = P-(LastHigh - LastLow);
   R3 = (2*P)+(LastHigh-(2*LastLow));
   S3 = (2*P)-((2* LastHigh)-LastLow); 
//   MakeTLine("DCPivot",LastHigh);
//   MakeTLine("DCSup1",LastLow);
//   MakeTLine("DCSup2",LastClose);
//   MakeTLine("DCSup3",LastOpen);
   MakeTLine("DCPivot",P);
   MakeTLine("DCSup1",S1);
   MakeTLine("DCSup2",S2);
   MakeTLine("DCSup3",S3);
   MakeTLine("DCRes1",R1);
   MakeTLine("DCRes2",R2);
   MakeTLine("DCRes3",R3);
   


   return(0);
}
void MakeTLine(string objname,double price1)
{
   ObjectSet(objname, OBJPROP_PRICE1,price1);
   ObjectSet(objname, OBJPROP_PRICE2,price1);
   ObjectSet(objname, OBJPROP_TIME1,LastPos);
   ObjectSet(objname, OBJPROP_TIME2,LastPos+600*60);
   
}

